展开

关键词

java启动和停止sh

本文链接:https://ligang.blog.csdn.net/article/details/43453083 一、说明 window下:echo "%JAVA_HOME%" Liunx Crontab /bin/sh #set JAVA_HOME #JAVA_HOME=/usr/local/java #check JAVA_HOME & java noJavaHome=false # -z 字符串长度伪则为真 -e "$JAVA_HOME/bin/java" ] ; then noJavaHome=true fi if $noJavaHome ; then echo echo "Error /bin/sh #set JAVA_HOME #JAVA_HOME=/usr/local/java #check JAVA_HOME & java echo "start shutdown ptfence -e "$JAVA_HOME/bin/java" ] ; then noJavaHome=true fi if $noJavaHome ; then echo echo "Error

50531

Springboot官方构建下的mvnw.cmd的作用

%" == "" goto OkJHome echo. echo Error: JAVA_HOME not found in your environment. >&2 echo Please set the JAVA_HOME variable in your environment to match the >&2 echo location of your Java installation. >&2 echo. goto error :OkJHome if exist "%JAVA_HOME%\bin\java.exe" goto init echo. echo Error: JAVA_HOME is set to an invalid directory. >&2 echo JAVA_HOME = "%JAVA_HOME%" >&2 echo Please set the JAVA_HOME variable in your environment to match the >&2 echo location of your Java installation. >&2 echo. goto

77520
  • 广告
    关闭

    什么是世界上最好的编程语言?丨云托管征文活动

    代金券、腾讯视频VIP、QQ音乐VIP、QB、公仔等奖励等你来拿!

  • 您找到你想要的搜索结果了吗?
    是的
    没有找到

    NB: JAVA_HOME should point to a JDK not a JRE

    :$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar:$JAVA_HOME/jre/lib/rt.jar、 export PATH=$PATH:$JAVA_HOME :$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar:$JRE_HOME/lib PATH=$JAVA_HOME/bin:$PATH export PATH JAVA_HOME 1.8.0_221-b11) Java HotSpot(TM) 64-Bit Server VM (build 25.221-b11, mixed mode) 运行mvn -version还是输出开始的错误,echo -x "$JAVACMD" ] ; then echo "The JAVA_HOME environment variable is not defined correctly" >&2 echo "This environment variable is needed to run this program" >&2 echo "NB: JAVA_HOME should point to

    11510

    三分钟完成 ubuntu16.04初始化,Java,maven,docker环境的部署

    'export JAVA_HOME=/usr/local/java/jdk1.8.0_251' >>/etc/environment echo 'export JRE_HOME=/usr/local/ java/jdk1.8.0_251/jre' >>/etc/environment echo 'export CLASSPATH=$CLASSPATH:$JAVA_HOME/lib:$JAVA_HOME /jre/lib' >>/etc/environment echo 'export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH:$HOME/bin' >>/ etc/environment #追加java的用户环境变量 echo 'export JAVA_HOME=/usr/local/java/jdk1.8.0_251' >>/etc/profile echo $JAVA_HOME/lib:$JAVA_HOME/jre/lib' >>/etc/profile echo 'export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin

    36110

    shell 分析java进程cpu使用率过高的shell脚本

    echo -ne "\033[1;31m" echo -n "$@" echo -e "\033[0m" } || echo "$@" } # Check the which jstack &> /dev/null; then [ -z "$JAVA_HOME" ] && { redEcho "Error: jstack not found [ -f "$JAVA_HOME/bin/jstack" ] && { redEcho "Error: jstack not found on PATH and $JAVA_HOME/bin [ -x "$JAVA_HOME/bin/jstack" ] && { redEcho "Error: jstack not found on PATH and $JAVA_HOME/bin =`printf %x ${threadId}` user=`echo ${threadLine} | awk '{print $3}'` pcpu=`echo ${threadLine

    18020

    小白博客 Linux安装JDK详细步骤

    #vi /etc/profile 在最后面加入 #set java environment JAVA_HOME=/usr/java/jdk-1_5_0_02 CLASSPATH= :$JAVA_HOME/lib.tools.jar PATH=$JAVA_HOME/bin:$PATH export JAVA_HOME CLASSPATH PATH 保存退出。 :$JAVA_HOME/lib/tools.jar PATH=$JAVA_HOME/bin:$PATH export JAVA_HOME CLASSPATH PATH 保存退出,然后给 java.sh分配权限:chmod 755 /etc/profile.d/java.sh 3.在终端使用echo命令检查环境变量设置情况。 #echoJAVA_HOME #echo $CLASSPATH #echo $PATH 4.检查JDK是否安装成功。

    580100

    nifi.sh 脚本解读

    if [ "x${JAVA_HOME}" ! -d "${JAVA_HOME}" ]; then die "JAVA_HOME is not valid: ${JAVA_HOME}" fi JAVA="${JAVA_HOME}/bin/java" else warn "JAVA_HOME not set; results may vary" -n "${JAVA_HOME}" ] && TOOLS_JAR=$(find -H "${JAVA_HOME}" -name "classes.jar") if [ "x${TOOLS_JAR echo "Java home: ${JAVA_HOME}" echo "NiFi home: ${NIFI_HOME}" echo echo "Bootstrap Config

    36910

    无意间发现Linux这样才能顺利的下载jdk

    shell脚本: [root@TrueDei soft]# [root@TrueDei soft]# cat auto_config_jdk.sh target_file="/etc/profile" java_home ="/soft/jdk1.8.0_271" echo "" >> $target_file echo "" >> $target_file echo "" >> $target_file echo " #JDK配置开始---------" >> $target_file echo "export JAVA_HOME=$java_home" >> $target_file echo "export :\$JAVA_HOME/lib/dt.jar:\$JAVA_HOME/lib/tools.jar" >> $target_file echo "export PATH=\$PATH:\$JAVA_HOME /bin" >> $target_file echo "#JDK配置结束---------" >> $target_file source $target_file [root@TrueDei soft

    13410

    【工具系列】Windows环境下切换JDK脚本

    JDK 16 JDK 17 操作系统:Windows RefreshEnv:刷新环境变量的工具(Windows会报毒,忽略或加入信任即可) 需要在 Windows系统的 PATH 环境变量设置一个 %JAVA_HOME 当前使用的JDK 版本: echo ============================================= java -version echo ================= ============================ echo jdk版本列表: echo jdk8 echo jdk11 echo jdk16 echo jdk17 echo ====== 当前选择的Java路径:%TARGET_JAVA_HOME% rem 删除JAVA_HOME wmic ENVIRONMENT where "name='JAVA_HOME'" delete rem 新建JAVA_HOME并赋值 wmic ENVIRONMENT create name="JAVA_HOME",username="",VariableValue="%TARGET_JAVA_HOME

    8820

    【Linux_Shell 脚本编程学习笔记五、Oracle JDK1.8 安装shell 脚本】

    /profile echo "export JAVA_HOME=/opt/module/jdk1.8.0_65" >> /etc/profile echo 'export JRE_HOME=${JAVA_HOME}/jre' >> /etc/profile echo 'export CLASSPATH=. :${JAVA_HOME}/lib:${JRE_HOME}/lib' >> /etc/profile echo 'export PATH=${JAVA_HOME}/bin:$PATH echo; echo; echo "请执行以下命令以使jdk环境生效" echo; echo; echo "source /etc/profile" echo; echo; } check_openjdk install_jdk

    24130

    Shell-通过shell启动Java类中的main方法 + 通过Shell启动jar包

    "JAVA_HOME=$JAVA_HOME" echo `$JAVA_HOME/bin/java -version` echo "CLASSPATH=${CLASSPATH}" echo "****************************" echo `head -n 1 /etc/issue` echo `uname -a` echo echo "JAVA_HOME =$JAVA_HOME" echo `$JAVA_HOME/bin/java -version` echo echo "APP_HOME=$APP_HOME" echo "APP_MAINCLASS :$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar #修改2: 自己Jar包的路径 APP_NAME=/root/artisan4Nginx-0.0.1 :$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar 最后记得 source /etc/profile 或者 . /etc/profile 使其生效【.

    13260

    Linux环境下JDKEclipse一键安装脚本

    /bin/bash echo "正在创建/usr/lib/jvm/目录" sudo mkdir /usr/lib/jvm/ echo "目录/usr/lib/jvm/创建成功" echo "正在安装 /bin\"" >> environment # echo "JAVA_HOME=/usr/lib/jvm/jdk1.7.0_60" >> environment # echo "CLASSPATH=. :%JAVA_HOME%/lib/dt.jar:%JAVA_HOME%/lib/tools.jar" >> environment # sudo mv /etc/environment /etc/environment.backup.java "PATH=\"$PATH:/usr/lib/jvm/jdk1.7.0_60/bin\"" >> ~/.bashrc echo "JAVA_HOME=/usr/lib/jvm/jdk1.7.0_60" :%JAVA_HOME%/lib/dt.jar:%JAVA_HOME%/lib/tools.jar" >> ~/.bashrc source ~/.bashrc echo "配置环境成功" # 如果有多个

    59260

    通过shell快速配置J2EE运行环境

    : "$ipfile echo "device=ens0" >$ipfile echo "BOOTPROTO=static" >>$ipfile echo "ONBOOT=yes" >>$ipfile echo "TYPE=Ethernet" >>$ipfile echo "IPADDR=$ip_addr grep "JAVA_HOME=$WORK_DIR/jdk" /etc/profile then echo "设置java环境变量" echo "export JAVA_HOME=$WORK_DIR :$JAVA_HOME/jre/lib/rt.jar:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar" | tee -a /etc/profile echo "export PATH=$PATH:$JAVA_HOME/bin" | tee -a /etc/profile fi if [ -f "apache-maven-3.5.2-bin.tar.gz

    14710

    趣搭-大集群

    localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo :\$JAVA_HOME/lib/dt.jar:\$JAVA_HOME/lib/tools.jar export JAVA_HOME JAVA_BIN PATH CLASSPATH EOF source localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo /etc/profile /usr/jdk1.7.0_25/bin/java -version echo $?

    17220

    趣搭-大集群(2.x)

    localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo :$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar export JAVA_HOME JAVA_BIN PATH CLASSPATH EOF source / localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo localdomain6 localhost6 192.168.6.2 hdp-01 192.168.6.4 hdp-02 192.168.6.6 hdp-03 EOF useradd hadoop echo etc/profile /usr/jdk1.7.0_25/bin/java -version echo $?

    14610

    vagrant学习笔记 - provision

    I am provisioning... echo hello provision. 如: config.vm.provision "shell" do |s| s.inline = "echo $1 $JAVA_HOME" s.env = {JAVA_HOME:"/ : config.vm.provision "shell" do |s| s.inline = "echo $1 $JAVA_HOME $2 $PATH" s.env = {JAVA_HOME Tips: env新增的环境变量,是顺序执行赋值操作的,实例中JAVA_HOME,系统中原来是没有的,如果JAVA_HOME和PATH这两个参数顺序换一下,把JAVA_HOME放在后面,PATH在拼接JAVA_HOME config.vm.provision "shell" do |s| s.inline = "echo $1 $JAVA_HOME $2 $PATH" s.env = {PATH:"$JAVA_HOME

    43520

    安装hadoop

    配置JAVA_HOME变量 验证JAVA_HOME变量 echo $JAVA_HOME 若没有输出路径,说明JAVA_HOME变量环境变量没配置。 的路径 修改.bashrc sudo gedit ~/.bashrc 在最后加上 export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 export JRE_HOME =${JAVA_HOME}/jre export CLASSPATH=. :${JAVA_HOME}/lib:${JRE_HOME}/lib export PATH=${JAVA_HOME}/bin:$PATH 保存退出,并运行 source ~/.bashrc 即可 最后验证一下 leee@Rasak-leee:~$ echo $JAVA_HOME /usr/lib/jvm/java-11-openjdk-amd64

    28830

    Jenkins构建Springboot

    /java-1.8.0-openjdk-1.8.0.242.b08-0.el7_7.x86_64,自己cd进去看看下面有没有文件,别光复制粘贴 vi /etc/profile //加入 export JAVA_HOME export JRE_HOME=/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.242.b08-0.el7_7.x86_64/jre export PATH=$PATH:$JAVA_HOME :$CLASSPATH:$JAVA_HOME/lib:$JRE_HOME/lib 使其生效 source /etc/profile 查看是否生效 echo $JAVA_HOME echo $MAVEN_HOME /bin/bash export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.242.b08-0.el7_7.x86_64 echo ${JAVA_HOME "执行...." nohup ${JAVA_HOME}/bin/java -jar demo-0.0.1-SNAPSHOT.jar > demo.log 2>&1 & echo "启动成功" 最后看到这个

    32220

    相关产品

    • 云服务器

      云服务器

      云端获取和启用云服务器,并实时扩展或缩减云计算资源。云服务器 支持按实际使用的资源计费,可以为您节约计算成本。 腾讯云服务器(CVM)为您提供安全可靠的弹性云计算服务。只需几分钟,您就可以在云端获取和启用云服务器,并实时扩展或缩减云计算资源。云服务器 支持按实际使用的资源计费,可以为您节约计算成本。

    相关资讯

    热门标签

    扫码关注云+社区

    领取腾讯云代金券